Subject: bug#45927: Emacs hangs every few week due to xim

From: Eli Zaretskii <[email-masked]>
Date: Mon, 18 Jan 2021 18:55:00 +0200

Forwarding to the issue tracker (please use Reply All to keep the
issue tracker CC'ed):

> From: Joey Green <[email-masked]>
> Date: Mon, 18 Jan 2021 22:18:28 +0800
> 
> Thanks for the quick reply, but sorry I cannot verify the bugzilla post because the imseetings-xim package
> described in that post is a fedora/redhat specific package and cannot be installed on my OS(ArchLinux). I
> said it was related because I suspected this issue was related to xim(Everything went to normal after I
> disabled xim in Emacs), just like that post, I want to give you guys as much information as I can.
> 
> Currently I don't have any suggestions about how to fix this. After a long time of trying and testing, what I've
> figured out for now is: this issue is related to some behavior between Emacs and XIM. But I haven't figured
> out the exact reason and a possible solution. I want to see if you have some suggestions. :)
> 
> Thanks,
> Joey